Skip to content
Start here

Patch Zero Trust list.

zero_trust.gateway.lists.edit(strlist_id, ListEditParams**kwargs) -> GatewayList
PATCH/accounts/{account_id}/gateway/lists/{list_id}

Appends or removes an item from a configured Zero Trust list.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str
list_id: str

Identify the API resource with a UUID.

maxLength36
append: Optional[Iterable[Append]]

Add items to the list.

description: Optional[str]

Provide the list item description (optional).

minimum0
value: Optional[str]

Specify the item value.

remove: Optional[SequenceNotStr[str]]

Lists of item values you want to remove.

ReturnsExpand Collapse
class GatewayList:
id: Optional[str]

Identify the API resource with a UUID.

maxLength36
count: Optional[float]

Indicate the number of items in the list.

created_at: Optional[datetime]
formatdate-time
description: Optional[str]

Provide the list description.

items: Optional[List[GatewayItem]]

Provide the list items.

created_at: Optional[datetime]
formatdate-time
description: Optional[str]

Provide the list item description (optional).

minimum0
value: Optional[str]

Specify the item value.

name: Optional[str]

Specify the list name.

type: Optional[Literal["SERIAL", "URL", "DOMAIN", 5 more]]

Specify the list type.

One of the following:
"SERIAL"
"URL"
"DOMAIN"
"EMAIL"
"IP"
"CATEGORY"
"LOCATION"
"DEVICE"
updated_at: Optional[datetime]
formatdate-time

Patch Zero Trust list.

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
gateway_list = client.zero_trust.gateway.lists.edit(
    list_id="f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    account_id="699d98642c564d2e855e9661899b7252",
)
print(gateway_list.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "count": 20,
    "created_at": "2014-01-01T05:20:00.12345Z",
    "description": "The serial numbers for administrators",
    "items": [
      {
        "created_at": "2014-01-01T05:20:00.12345Z",
        "description": "Austin office IP",
        "value": "8GE8721REF"
      }
    ],
    "name": "Admin Serial Numbers",
    "type": "SERIAL",
    "updated_at": "2014-01-01T05:20:00.12345Z"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "count": 20,
    "created_at": "2014-01-01T05:20:00.12345Z",
    "description": "The serial numbers for administrators",
    "items": [
      {
        "created_at": "2014-01-01T05:20:00.12345Z",
        "description": "Austin office IP",
        "value": "8GE8721REF"
      }
    ],
    "name": "Admin Serial Numbers",
    "type": "SERIAL",
    "updated_at": "2014-01-01T05:20:00.12345Z"
  }
}